Skip to main content
`Ctrl`+`K`

# EPSErrorType

The error type used to assess the accuracy of computed solutions.

## Synopsis

    typedef enum { EPS_ERROR_ABSOLUTE,
                   EPS_ERROR_RELATIVE,
                   EPS_ERROR_BACKWARD } EPSErrorType;

## Values

- `EPS_ERROR_ABSOLUTE` - compute error bound as \(\|r\|\)

- `EPS_ERROR_RELATIVE` - compute error bound as \(\|r\|/|\lambda|\)

- `EPS_ERROR_BACKWARD` - compute error bound as \(\|r\|/(\|A\|+|\lambda|\|B\|)\)

## See Also

EPS: Eigenvalue Problem Solver, `EPSComputeError()`

## Level

intermediate

## Location

include/slepceps.h

## Examples

src/eps/tutorials/ex10f.F90
src/eps/tutorials/ex1f.F90
src/eps/tutorials/ex6f.F90

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages